Subject: Re: Or call
From: "Michael B" <[email-masked]>
To: "Stephen" <[email-masked]>
Date: Mon, 6 Oct 2014 12:20:38 -0400

Hi Stephen.
I had a couple minutes at lunch and tried to call you (left voicemail).  Gotta finish payroll now.  Maybe I can catch you if you happen to stop in Friday.  Take care.
Thank you,
Michael B
LLPS

From: Stephen 
Sent: Monday, October 06, 2014 11:32 AM
To: Michael B 
Subject: Re: Or call

      Hi Mike, thanks I understand. More than anything I want to make sure I'm speaking with you directly and confirm these very emails with you. I do respect that you are busy but would like to touch base either in person or over the phone briefly at some point before the 15th. But I respect your schudual, and can work around your time. If you want to give me your cell number, I could even give you a call after work is that would work better for you. 

      Thanks Mike, 

      Stephen 

      Sent from Yahoo Mail on Android

--------------------------------------------------------------------------------
From: Michael B <[email-masked]>; 
To: Stephen <[email-masked]>; 
Subject: Re: Or call 
Sent: Mon, Oct 6, 2014 2:41:02 PM 

      Hello Stephen.
      I am pretty swamped this week.  We have had machine problems and are busy trying to get caught up as it is "the busy season".  Is there something that you need to ask me about specifically?  I am not trying to be rude but I don't have a lot of extra time to chat now.  You are welcome to stop in Friday.  I am just not sure where we will be with things by then and don't know my availably.  Take care.  
      Thank you,
      Michael B
      LLPS

      From: Stephen 
      Sent: Saturday, October 04, 2014 12:48 PM
      To: [email-masked] 
      Subject: Or call

            Or if you prefer you could give me a call or let me know when a good time for me to call you would be. That would actually be easier as I'm not for certain what Mark is going to say. He may still want me to stay until Friday. 

            Thanks, 

            Stephen
            517-512-2229

            Sent from Yahoo Mail on Android